/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package graphicChat.controller;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.IOException;
import java.util.logging.Logger;
import graphicChat.logger.OhmLogger;
import graphicChat.model.ChatModel;
import graphicChat.view.ChatView;

/**
 *
 * @author hd, chris
 */
public class CommandConnect implements ActionListener
{
    
  private static Logger lg = OhmLogger.getLogger();
  ChatView view;
  ChatModel model;
  
  private static final int PORT = 35000;
  private static final String IP_ADRESSE = "127.0.0.1";
  
    
  public CommandConnect(ChatView view, ChatModel model)
  {   
    this.view = view;
    this.model = model;
  }
  
  public void registerEvents(){
    view.getBtnServer().addActionListener(this);
    view.getBtnClient().addActionListener(this);
  }

  @Override
  public void actionPerformed(ActionEvent e) {
    
    Object src = e.getSource();

    // connect to server
    if(src == view.getBtnServer()){
      synchronized (this){
        try {
          view.getLblType().setText("Server");
          model.setServer(PORT);
        } catch (IOException ex) {
          lg.severe(ex.toString());
        }
      }
    }

    // connect to client
    if(src == view.getBtnClient()){
      synchronized (this){
        try {
          view.getLblType().setText("Client");
          model.setClient(PORT, IP_ADRESSE);
          
        } catch (IOException ex) {
          lg.severe(ex.toString());
        }
      }
    }
  }
}
