/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package graphicChat.view;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.geom.Line2D;
import java.awt.geom.Rectangle2D;
import java.util.logging.Logger;
import javax.swing.JComponent;
import graphicChat.logger.OhmLogger;
import graphicChat.model.ChatModel;

/**
 *
 * @author hd, chris
 */
public class Surface extends JComponent
{
  private final static Dimension EINS = new Dimension(1, 1);
  private static Logger lg = OhmLogger.getLogger();
  private Rectangle2D.Float pixel;
  private ChatModel model;
  private Point old_punkt = null;

  public Surface()
  {
    pixel = new Rectangle2D.Float();
    this.setBackground(Color.WHITE);
  }

  public void setModel(ChatModel model)
  {
    this.model = model;
  }

  public void drawLine(Point p, Point p_old)
  {
    Graphics2D g2 = (Graphics2D) this.getGraphics();
    Line2D.Double line = new Line2D.Double(p.getX(),p.getY(),p_old.getX(),p_old.getY());
    g2.draw(line);
    g2.dispose(); // VERY, VERY IMPORTANT
  }
  public void drawLineG2(Point p, Point p_old, Graphics2D g2)
  {
    Line2D.Double line = new Line2D.Double(p.getX(),p.getY(),p_old.getX(),p_old.getY());
    g2.draw(line);
  }
  
  
  @Override
  public void paintComponent(Graphics g)
  {
    lg.info("repaint");
    if (model == null)
    {
      lg.severe("keine Referenz auf Model vorhanden");
      return;
    }
    super.paintComponent(g);
    Graphics2D g2 = (Graphics2D) g;

    model.getFigures().forEach(figure -> {
      old_punkt = null;
      figure.getPunkte().forEach(punkt -> {
        if(old_punkt != null)
        {
          drawLineG2(punkt, old_punkt, g2);
        }
        old_punkt = punkt;
      });
    });
  }

}
